document.onreadystatechange = function() {
  if (document.readyState === 'interactive') renderApp();

  function renderApp() {
    var onInit = app.initialized();

    onInit
        .then(function getClient(_client) {
            window.client = _client;
            client.events.on('app.activated', assignAgent);
        })
      .catch(handleErr);
    }
};

function assignAgent() {
  client.data
    .get('loggedInUser')
    .then(function(payload) {
        console.log(`Current user_id: ` + parseInt(`${payload.loggedInUser.user_id}`));
        client.interface.trigger("SetValue", {id: "agent",value: parseInt(`${payload.loggedInUser.user_id}`) });
    })
    .catch(handleErr);
}

function handleErr(err = 'None') {
  console.error(`Error occured. Details:`, err);
}
